BintrayResolver
Date: 2014-12-13

org.apache.ivy.plugins.resolver

## Class BintrayResolver

- java.lang.Object
- - org.apache.ivy.plugins.resolver.AbstractResolver
  - - org.apache.ivy.plugins.resolver.BasicResolver
    - - org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
      - - org.apache.ivy.plugins.resolver.RepositoryResolver
        - - org.apache.ivy.plugins.resolver.URLResolver
          - - org.apache.ivy.plugins.resolver.IBiblioResolver
            - - org.apache.ivy.plugins.resolver.BintrayResolver

- All Implemented Interfaces:
    Validatable, DependencyResolver, HasLatestStrategy

      public class BintrayResolver
      extends IBiblioResolver

  BintrayResolver is a resolver which can be used to resolve dependencies found in the Bintray artifacts repository.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ivy.plugins.resolver.IBiblioResolver

      `DEFAULT_M2_ROOT, DEFAULT_PATTERN, DEFAULT_ROOT`

    - ### Fields inherited from class org.apache.ivy.plugins.resolver.BasicResolver

      `DATE_FORMAT, DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BintrayResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setRepo(java.lang.String repo)`
    `void` | `setSubject(java.lang.String subject)`

    - ### Methods inherited from class org.apache.ivy.plugins.resolver.IBiblioResolver

      `download, dumpSettings, ensureConfigured, exists, findArtifactRef, findIvyFileRef, findTokenValues, getArtifactPatterns, getDependency, getModuleDescriptorExtension, getPattern, getRoot, getTypeName, isUseMavenMetadata, isUsepoms, listModules, listOrganisations, listResources, listRevisions, listTokenValues, listTokenValues, locate, publish, setM2compatible, setPattern, setRoot, setUseMavenMetadata, setUsepoms`

    - ### Methods inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver

      `exist, findResourceUsingPattern, get, getDestination, getRepository, getResource, isAlwaysCheckExactRevision, publish, put, putChecksum, putSignature, setAlwaysCheckExactRevision, setName, setRepository, setSettings, setSigner`

    - ### Methods inherited from class org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver

      `addArtifactPattern, addConfiguredArtifact, addConfiguredIvy, addIvyPattern, convertM2IdForResourceSearch, convertM2OrganizationForResourceSearch, convertM2ResourceSearchIdToNormal, convertM2TokenValuesForResourceSearch, findArtifactNames, findIvyNames, findNames, findResource, findResourceUsingPatterns, getIvyPatterns, isM2compatible, listTokenValues, setArtifactPatterns, setIvyPatterns`

    - ### Methods inherited from class org.apache.ivy.plugins.resolver.BasicResolver

      `acceptLatest, checkModuleDescriptorRevision, clearArtifactAttempts, clearIvyAttempts, doFindArtifactRef, download, filterNames, findFirstArtifactRef, getAndCheck, getArtifactRef, getChecksumAlgorithms, getDefaultRMDParser, getPublicationDate, getRMDParser, getWorkspaceName, isAllownomd, isCheckconsistency, isEnvDependent, isForce, logArtifactAttempt, logAttempt, logIvyAttempt, parse, reportFailure, reportFailure, setAllownomd, setCheckconsistency, setChecksums, setDescriptor, setEnvDependent, setForce, setWorkspaceName, shouldReturnResolvedModule, toString`

    - ### Methods inherited from class org.apache.ivy.plugins.resolver.AbstractResolver

      `abortPublishTransaction, beginPublishTransaction, checkInterrupted, checkLatest, commitPublishTransaction, doValidate, findModuleInCache, findModuleInCache, fromSystem, fromSystem, getCacheDownloadOptions, getCacheOptions, getChangingMatcherName, getChangingPattern, getDownloadOptions, getEventManager, getLatest, getLatestStrategy, getName, getNamespace, getParserSettings, getRepositoryCacheManager, getSettings, getSystemNode, hidePassword, isAfter, isValidate, saveModuleRevisionIfNeeded, setCache, setChangingMatcher, setChangingPattern, setCheckmodified, setEventManager, setLatest, setLatestStrategy, setNamespace, setRepositoryCacheManager, setValidate, toSystem, toSystem, toSystem, toSystem, toSystem, toSystem, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BintrayResolver

          public BintrayResolver()

  - ### Method Detail

    - #### setSubject

          public void setSubject(java.lang.String subject)

    - #### setRepo

          public void setRepo(java.lang.String repo)